Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.atom
Class Person

    java.lang.Object
      com.sun.syndication.feed.atom.Person

All Implemented Interfaces:
  Extendable, Serializable, Cloneable

    public class Person

extends Object
implements Cloneable, Serializable, Extendable

Bean for person elements of Atom feeds.

Author:
  Alejandro Abdelnur, Dave Johnson (updated for Atom 1.0)
See Also:
  Serialized Form

Constructor Summary
`Person()` Default constructor.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`String` | `getEmail()` Returns the person email.
`Module` | `getModule(String uri)` Returns the module identified by a given URI.
`List` | `getModules()` Returns the entry modules.
`String` | `getName()` Returns the person name.
`String` | `getUri()` Returns the uri
`String` | `getUriResolved(String resolveURI)`
`String` | `getUrl()` Returns the person URL (same as `getUri()`)
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setEmail(String email)` Sets the person email.
`void` | `setModules(List modules)` Sets the entry modules.
`void` | `setName(String name)` Sets the personname.
`void` | `setUri(String uri)` Set the uri
`void` | `setUriResolved(String uriResolved)`
`void` | `setUrl(String url)` Sets the person URL (same as `setUri(java.lang.String)`)
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Person

    public Person()

  Default constructor. All properties are set to null.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getName

    public String getName()

  Returns the person name.

  Returns:
    the person name, null if none.

### setName

    public void setName(String name)

  Sets the personname.

  Parameters:
    `name` - the person name, null if none.

### getUrl

    public String getUrl()

  Returns the person URL (same as `getUri()`)

  Returns:
    the person URL, null if none.

### setUrl

    public void setUrl(String url)

  Sets the person URL (same as `setUri(java.lang.String)`)

  Parameters:
    `url` - the person URL, null if none.

### setUriResolved

    public void setUriResolved(String uriResolved)

### getUriResolved

    public String getUriResolved(String resolveURI)

### getEmail

    public String getEmail()

  Returns the person email.

  Returns:
    the person email, null if none.

### setEmail

    public void setEmail(String email)

  Sets the person email.

  Parameters:
    `email` - the person email, null if none.

### getUri

    public String getUri()

  Returns the uri

  Returns:
    Returns the uri.
  Since:
    Atom 1.0

### setUri

    public void setUri(String uri)

  Set the uri

  Parameters:
    `uri` - The uri to set.
  Since:
    Atom 1.0

### getModules

    public List getModules()

  Returns the entry modules.

  Specified by:
    `getModules` in interface `Extendable`
  Returns:
    a list of ModuleImpl elements with the entry modules, an emtpy list if none.

### setModules

    public void setModules(List modules)

  Sets the entry modules.

  Specified by:
    `setModules` in interface `Extendable`
  Parameters:
    `modules` - the list of ModuleImpl elements with the entry modules to set, an empty list or null if none.

### getModule

    public Module getModule(String uri)

  Returns the module identified by a given URI.

  Specified by:
    `getModule` in interface `Extendable`
  Parameters:
    `uri` - the URI of the ModuleImpl.
  Returns:
    The module with the given URI, null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.